from xvgui.base import _Base
from xvgui.plotting.twodim import shapes
from xvgui.plotting.twodim.shapes import Point, LineSegment, \
    Triangle, Quadrilateral, Polygon,ShapeContainer, ShapeFactory, Shape
    
from xvgui.plotting.geo.geoplotting import GeoPlotting

if __name__ == "__main__":
    def listAttr(obj):
        x = [item for item in dir(obj) if item[0] != "_"]
        print("{}:\n{}\n".format(obj.__name__, x))
        pass
    
    listAttr(shapes)
